Create a Payment Link

Use the POST /payment-links endpoint to create a payment link.

HTTP Request

POST https://api.fipto.com/companies/{company_id}/payment-links

Request Parameters

The table below details the attributes you can include in your request body:

ParameterRequiredDescription
base_amountYesThe amount to be received. This amount will be used to quote the equivalent in cryptocurrency.
base_asset_codeYesThe asset of the base amount. Currently, only "EUR" is supported.
expired_atNoThe ISO 8601 date and time when the payment link expires.
destinationYesThe wallet ID or external account where the base amount will be settled.
external_referenceNoAn optional reference to an external system, such as an order ID.
noteNoA custom message or instructions for the payer.

Example Request

Below is an example of a request payload to create a payment link with all available parameters:

{
  "data": {
    "type": "payment_link",
    "attributes": {
      "base_amount": "1000.00",
      "base_asset_code": "EUR",
      "expired_at": "2025-07-21T17:32:28Z",
      "destination": {
        "wallet_id": "8fAFfeDA-223a-3e0A-A0FF-3EbC5f11b615"
      },
      "external_reference": "ORD-123947",
      "note": "Monthly Subscription - ORD123947"
    }
  }
}

Successful Response

Upon successful creation of a payment link, the API returns the payment link details, including its status and unique link URL.

{
  "meta": {
    "request_id": "ae99deeb-cced-4ea0-832d-799652cf7251"
  },
  "data": {
    "id": "093de920-1017-43fd-b846-a7e93c3dcaf7",
    "type": "payment_link",
    "attributes": {
      "external_reference": "ORD-123947",
      "note": "Monthly Subscription - ORD123947",
      "base_amount": "1000.00",
      "base_asset_code": "EUR",
      "status": "pending",
      "expired_at": "2025-07-21T17:32:28Z",
      "created_at": "2024-04-25T15:29:06Z",
      "link": "https://pay.fipto.app/093de920-1017-43fd-b846-a7e93c3dcaf7",
      "destination": {
        "type": "wallet",
        "wallet_id": "96be4336-b1b3-45aa-9975-51c5749ec77f"
      }
    }
  }
}

Using the Payment Link

Direct users to the link URL provided in the response to enable them to access the payment page and complete their transaction.


Did this page help you?